/* 🛑 STOP AND READ BEFORE EDITING 🛑
 *
 * THIS FILE IS A LAST RESORT.
 * Do NOT add CSS here unless it is IMPOSSIBLE to achieve using our styling standard, which are
 * - design system
 * - utility classes / display-suite classes
 * - scoped styles under Drupal-generated classes (e.g. .node--type-program-page, .paragraph--type-basic-paragraph, .view-team-members)
 * - single-directory component
 *
 * Unnecessary additions to this file create technical debt and specificity issues.
 * If you must edit this file, leave a comment explaining why standard methods failed.
 */

/* Home Page - Testimonial */
div.home__testimonial-video {
  margin-top: 22vh;
  margin-bottom: 22vh;
  display: flex;

  & .layout-two-col-grid {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 50px;

    @media (max-width: 1024px) {
      flex-wrap: wrap;
      justify-content: space-around;
    }
  }

  & .layout__region--left {
    flex-basis: 762px;
  }

  & .layout__region--right {
    flex-basis: 470px;
    text-align: left;

    @media (max-width: 1024px) {
      flex-basis: auto;
    }
  }

  & .text-primary {
    font-size: 20px;
    /* TODO: Make this .text-large in HTML? */
  }

  & [data-component-id="kackaamin:custom_youtube"] {
    padding: 40px 0;

    & youtube-video {
      @media (min-width: 768px) {
        aspect-ratio: 5 / 3;
      }
    }
  }
}

@media (max-width: 1024px) {
  div.home__testimonial-video {
    flex-direction: column;

    & .layout__region--left,
    & .layout__region--right {
      flex-basis: auto;
      max-width: 100%;
      width: 100%;
      text-align: center;
    }
  }
}


/**
 * Programs Pages
 */

/* .field--name-field-paragraphs .field__item:has(.paragraph--type--basic-paragraph):not(.field__item ~ .field__item:has(.paragraph--type--basic-paragraph)) {
  text-align: center;
} */


/* Border underneath program schedules */
.node--type-program-page .paragraph--type-accordions.is_highlight {
  &>.field {
    margin: 24px 0;
  }

  &:after {
    content: "";
    display: block;
    margin: 48px 64px 24px;
    background: var(--border-secondary);
    height: 1px;
  }
}


/* about pages */

.custom-video-wrapper {
  margin-bottom: 24px;
}


/* Get Started Pages */
/* Home Page - Get Started Page */
[data-history-node-id="24"] {
  padding-top: 0;

  & .start-home__right-for-me {
    padding-top: 80px;
    padding-bottom: 112px;
  }

  & .start-home__not-sure {
    padding: 112px 0 0;
    overflow: hidden;

    & .paragraph--type--actions {
      padding-top: 2rem;
    }

    & .paragraph--type--actions .field {
      justify-content: center;
      transform: scale(1.5);
    }
  }

  /* Centerlize Not sure? Call us's right column */
  .layout__region--right>.paragraph--type--actions {
    display: flex;
    justify-content: center;
  }
}

.twocol__header-text .layout__region--left {

  & h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    padding: 0;
  }
}

.view-id-program_type_list.view-display-id-program_comparison {
  padding: 24px 0;
}

.layout__region--right>.paragraph--type--actions {

  /* make sure button stretch out in mobile - universial */
  &>.field__items {
    width: 100%;
  }
}

.ds--vertical-padding.twocol__get-started-header {
  padding-top: 24px;
  padding-bottom: 48px;
}

@media (min-width: 768px) {
  [data-history-node-id="24"] {
    padding-top: 40px;

    .ds--vertical-padding.twocol__get-started-header .paragraph--type--actions {
      justify-content: flex-start;
    }
  }

  .view-id-program_type_list.view-display-id-program_comparison {
    padding: 64px 0 112px 0;
  }

  .layout__region--right>.paragraph--type--actions {
    &>.field__items {
      width: fit-content;
    }
  }

  .twocol__get-started-header {
    padding: 64px 0;
  }
}


/* what to expect page */
[data-history-node-id="26"] {
  .field--name-field-paragraphs > .field__item:first-child {
    padding: 0 0 20px 0;
    max-width: 645px;
    margin: auto;
    & p {
      text-align: left;
    }
  }
}
@media (min-width: 768px) {
  [data-history-node-id="26"] {
    .field--name-field-paragraphs > .field__item:first-child {
      padding: 88px 0 20px 0;
      & p {
        text-align: center;
      }
    }
  }
}


/* job */
.view-id-job_postings.view-display-id-job_posting_list {
  padding-bottom: 112px;
}
